Chuyển đến nội dung
Diễn đàn CADViet
  • Thông báo

    • Nguyen Hoanh

      CADViet đã hoàn tất nâng cấp   14/09/2017

      Chào các bạn, CADViet đã hoàn tất việc nâng cấp lên phiên bản mới. Tất cả các chức năng đã hoạt động theo kỳ vọng của ban quản trị. Nếu có vấn đề gì cần phản hồi, các bản post ở đây nhé: Trân trọng, Nguyễn Hoành.
Đăng nhập để thực hiện theo  
hovidu

[Hỏi, Thủ Thuật] Tìm Và Thay Thế Đối Tượng Trong Cad

Các bài được khuyến nghị

Em đã tìm trong diễn đàn thấy một số thủ thuật thay thế block này bằng block khác. Nhưng giờ em muốn  tìm và thay thế nhiều line bằng 1 block không biết phải làm thế nào???

Ví dụ em gửi trong file đính kèm. Em muốn thay thế thanh thép S5 từ line thành block, trong bản vẽ em có rất nhiều thanh như vậy, giờ phải làm sao cho nhanh nhất???http://www.cadviet.com/upfiles/5/13214_tim_va_thay_the_doi_tuong_trong_cad.dwg

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Có 3 cách:

1.  Cách cơ bản: học lisp khoảng 1 tuần rồi tự viết.

2. Chờ: nhanh thì trong ngày, chậm 1 tuần, tháng, năm ...., có thể forever

3. Nhanh nhất: USD

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Hàng loạt như thế này thì code lisp là ngon xơi nhất. Nếu không thì cũng phải làm khoảng 3 bước

Bạn đọc kỹ bài của bác Anti lazy, có lý đó :)

Lần này chữa cháy cho bạn bằng code ngắn, test thử trên máy mình ok

(defun c:foo()
	(foreach e (acet-ss-to-list (ssget '((0 . "LINE")(8 . "S5"))))
		(entmake (list '(0 . "INSERT")
						(cons 2 "S5")
						(cons 10 (apply 'acet-geom-midpoint (acet-geom-extents e)))											
				)
		)
		(entdel e)
	) (princ)
)
  • Vote tăng 1

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Hàng loạt như thế này thì code lisp là ngon xơi nhất. Nếu không thì cũng phải làm khoảng 3 bước

Bạn đọc kỹ bài của bác Anti lazy, có lý đó :)

Lần này chữa cháy cho bạn bằng code ngắn, test thử trên máy mình ok

(defun c:foo()
	(foreach e (acet-ss-to-list (ssget '((0 . "LINE")(8 . "S5"))))
		(entmake (list '(0 . "INSERT")
						(cons 2 "S5")
						(cons 10 (apply 'acet-geom-midpoint (acet-geom-extents e)))											
				)
		)
		(entdel e)
	) (princ)
)

 Thank bạn nhé

Mình cũng muốn mày mò nhưng dạo này bận quá. 

Bỏ USD ra để mua mấy cái nhỏ nhỏ này cũng không đáng.

 

PS: Bạn vào dùng bộ gõ của diễn đàn có bị hiện tượng khi gõ 2 lần dấu thì con trỏ tự động nhảy về đầu dòng không? Mấy lần mình phải gõ trên word rồi paste vào đây rồi.

Ví dụ gõ "USD" phải gõ "U S S D" thì gõ đến chữ S thứ 2 con trỏ nhảy về đầu dòng.

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Thank bạn nhé

Mình cũng muốn mày mò nhưng dạo này bận quá. 

Bỏ USD ra để mua mấy cái nhỏ nhỏ này cũng không đáng.

Biết nhỏ vậy mình khỏi viết :)

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

 Thank bạn nhé

Mình cũng muốn mày mò nhưng dạo này bận quá. 

Bỏ USD ra để mua mấy cái nhỏ nhỏ này cũng không đáng.

 

PS: Bạn vào dùng bộ gõ của diễn đàn có bị hiện tượng khi gõ 2 lần dấu thì con trỏ tự động nhảy về đầu dòng không? Mấy lần mình phải gõ trên word rồi paste vào đây rồi.

Ví dụ gõ "USD" phải gõ "U S S D" thì gõ đến chữ S thứ 2 con trỏ nhảy về đầu dòng.

 

Không thấy bác Ketxu trả lời câu hỏi mầu tím.

@ anh chủ thớt: Em vừa gõ thử, vẫn thấy gõ được bình thường mà,

Untitled_zps9besmj2e.gif

hay là anh dùng FONTS CHỮ ÂM PHỦ???? :) :) :)

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Tạo một tài khoản hoặc đăng nhập để nhận xét

Bạn cần phải là một thành viên để lại một bình luận

Tạo tài khoản

Đăng ký một tài khoản mới trong cộng đồng của chúng tôi. Điều đó dễ mà.

Đăng ký tài khoản mới

Đăng nhập

Bạn có sẵn sàng để tạo một tài khoản ? Đăng nhập tại đây.

Đăng nhập ngay

Đăng nhập để thực hiện theo  

×